# na_elementsw_volume – NetApp Element Software Manage Volumes

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Create, destroy, or update volumes on ElementSW

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1
- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

access
-

Choices:
- readOnly
- readWrite
- locked
- replicationTarget

Access allowed for the volume.
readOnly Only read operations are allowed.
readWrite Reads and writes are allowed.
locked No reads or writes are allowed.
replicationTarget Identify a volume as the target volume for a paired set of volumes.
If the volume is not paired, the access status is locked.
If unspecified, the access settings of the clone will be the same as the source.

account_id - / required |  | Account ID for the owner of this volume. It accepts Account_id or Account_name
attributes - |  | A YAML dictionary of attributes that you would like to apply on this volume.

enable512e
boolean

Choices:
- no
- yes

Required when `state=present`
Should the volume provide 512-byte sector emulation?
aliases: 512emulation

hostname - / required |  | The hostname or IP address of the SolidFire cluster.
name - / required |  | The name of the volume to manage. It accepts volume_name or volume_id
password - / required |  | ElementSW access account password aliases: pass
qos - |  | Initial quality of service settings for this volume. Configure as dict in playbooks.
size - |  | The size of the volume in (size_unit). Required when `state = present`.

size_unit
-

Choices:
- bytes
- b
- kb
- mb
- gb ←
- tb
- pb
- eb
- zb
- yb

The unit used to interpret the size parameter.

state
- / required

Choices:
- present
- absent

Whether the specified volume should exist or not.

username - / required |  | ElementSW access account user-name aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create Volume
      na_elementsw_volume:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        name: AnsibleVol
        qos: {minIOPS: 1000, maxIOPS: 20000, burstIOPS: 50000}
        account_id: 3
        enable512e: False
        size: 1
        size_unit: gb

    - name: Update Volume
      na_elementsw_volume:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        name: AnsibleVol
        account_id: 3
        access: readWrite

    - name: Delete Volume
      na_elementsw_volume:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: absent
        name: AnsibleVol
        account_id: 2

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.